wojciech gorski
asked 9 years ago

I need to change few words into my own language – usually there’s .po files, but can’t find anything like it in dw gamez.
Do i need to edit php files manually?
I need to change common words like “search”, “latest news” etc. – in what files i can find those?

3 Answers
DominicStaff
answered 9 years ago

Hello Wojciech !
Currently, our DW Argo theme does not yet support “.pot / .mo” file.
Please try these translation plugin yet:
http://wordpress.org/plugins/loco-translate/
http://wordpress.org/plugins/qtranslate/
Please try and let me know if it works.

wojciech gorski
replied 9 years ago

ok, i used loco translate – i translated whole template and saved, i can only get .mo file from it – but i need to do know? website is still in english…

Mirek Kroupa
replied 9 years ago

In the folder, create a folder with the theme of “languages ​​and to upload it .mo file (wp-content/themes/dw_focus/languages)

wojciech gorski
replied 9 years ago

i tried it, but still nothing.

Mirek Kroupa
replied 9 years ago

It was bad advice. Do you have a DW Argo. Excuse me.
The directory must be wp-content/themes/dw_argo/languages

Mirek Kroupa
replied 9 years ago

I have a translation into Czech. If you like, I’ll send you my files and Fold them into your own language (about Polish?).
Drop me a mail, advise.
[email protected]

wojciech gorski
replied 9 years ago

i’m using DW gamez – i know how language from .mo/.po should work, but from what dominic said my template does not support those kind of files

in my situation it was:
wp-content/themes/dw-gamez_1.0.3_theme/languages

i copied two .mo files just to be sure:
– dw-gamez-pl_PL.mo
– pl_PL.mo

but template still does not getting text from it, i’m pretty sure i will need to translate .php files manually, because i don’t really want to use multi-lang system like qtranslate and loco translate does not work in this case either…

still waiting for response from the dev team tho, maybe they will tell me something more.

Mirek Kroupa
replied 9 years ago

Následující plugin zjistí jestli jde přeložit. Doporučuji zkusit:
http://www.code-styling.de/english/development/wordpress-plugin-codestyling-localization-en

wojciech gorski
answered 9 years ago

i was talking bout DW Gamez… but i guess if there’s no .po/.mo files then i need to check those plugins.

Jackie Lord
answered 9 years ago

Apparently .mo and .po files are in need for WordPress themes. We will try to update our themes to support these file soonest.
Please stay tuned and thanks for your kind support.

Powered by DW Question & Answer Pro